curl --request GET \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/operations/{operationId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/operations/{operationId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectId": "project-456",
"integrationId": "<string>",
"configId": "config-123",
"actionType": "read",
"id": "<string>",
"installationId": "<string>",
"status": "success",
"result": "[contact] No new data found",
"metadata": {
"objects": [
"contact"
],
"progress": {
"installationId": "66438162-5299-4669-a41d-85c5a3b1a83e",
"objectName": "contact",
"operationId": "3efc0f0f-4bb9-498f-996c-9893d98ca4b5",
"recordsProcessed": 1250,
"recordsEstimatedTotal": 5000
}
},
"createTime": "2023-07-13T21:34:44.816354Z"
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Get an operation
Authorizations
Path Parameters
The Ampersand project ID or project name.
Operation ID.
Response
Operation
The Ampersand project ID.
"project-456"
The integration ID.
The config ID.
"config-123"
The type of action that was performed (read, write, or subscribe).
"read"
Unique identifier for this operation. Use this to fetch operation details or list logs for debugging.
The Ampersand installation ID (customer instance) that this operation ran for.
The status of the operation.
success: The operation completed successfullyfailure: The operation failedin_progress: The operation is currently running
"success"
A human-readable summary of what the operation accomplished. Examples: [contact] No new data found, Batch write completed (3 succeeded, 1 failed). May be absent.
"[contact] No new data found"
Additional operation details. May include objects (array of object names), retry (retry attempt info), and progress (backfill progress with recordsProcessed, recordsEstimatedTotal) for backfill read operations.
{
"objects": ["contact"],
"progress": {
"installationId": "66438162-5299-4669-a41d-85c5a3b1a83e",
"objectName": "contact",
"operationId": "3efc0f0f-4bb9-498f-996c-9893d98ca4b5",
"recordsProcessed": 1250,
"recordsEstimatedTotal": 5000
}
}
The time the operation was created.
"2023-07-13T21:34:44.816354Z"
Was this page helpful?

